# pgptAI
All-in-one AIGC API package for Python

For more info about our services, please visit our website [apigpt.cloud](https://apigpt.cloud/).

## Intro
pgptai simplifies the way you use AIGC APIs by putting everything you need together while keeping their original usages :)

## Installation
```bash
pip install pgptAI
```

## Usage
For now, we support the following AIGC providers' APIs, click to see their usages in pgptai:
* [OpenAI](docs/openai.md)
* [Claude](docs/claude.md)
* [ChatGLM2](docs/chatglm.md)
* [Stable Diffusion](docs/stablediffusion.md)
* [GeminiAI](docs/geminiai.md)

Or, use our integrated API:
* [AllAI](docs/allai.md)

And, we also provide an AIChat service based on Langchain:
* [AIChat](docs/aichat.md)

Some useful tools:  
* [AudioAI](docs/audioai.md)
* [TextAI](docs/textai.md)
